Name:           python-napari
Version:        0.6.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        n-dimensional array viewer in Python

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://napari.org
Source:         %{pypi_source napari}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'napari' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-napari
Summary:        %{summary}

%description -n python3-napari %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-napari all,all-optional,bermuda,build,dev,docs,gallery,optional,optional-base,optional-numba,partsegcore,pyqt,pyqt5,pyqt6,pyside,pyside2,pyside6-experimental,qt,release,testing,testing-extra


%prep
%autosetup -p1 -n napari-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,all-optional,bermuda,build,dev,docs,gallery,optional,optional-base,optional-numba,partsegcore,pyqt,pyqt5,pyqt6,pyside,pyside2,pyside6-experimental,qt,release,testing,testing-extra


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-napari -f %{pyproject_files}


%changelog
%autochangelog